Ubuntu 21.10 installation

Hello! :wave:

I’m attempting to install Ghost on Ubuntu 21.10. And hitting the following error. Is Ghost compatible with Ubuntu 21.10? And if not, is there a date when it would be compatible? Thanks for any information you can provide.

Message: System stack checks failed with message: 'Linux version is not Ubuntu 16, 18, or 20'

Debug Information:
    OS: Ubuntu, v21.10
    Node Version: v16.16.0
    Ghost-CLI Version: 1.21.0
    Environment: production
    Command: 'ghost install'

Ghost is currently compatible with Ubuntu 16.04, Ubuntu 18.04, and Ubuntu 20.04, which are all LTS (long-term support) releases.

Since Ubuntu 21 isn’t an LTS release, Ghost won’t ever be made compatible with it.

Learn more about installing Ghost on Ubuntu here: How to install & setup Ghost on Ubuntu 16.04, 18.04 and 20.04

Thanks for the information. Since LTS versions are supported, when will 22.04 be supported? That is the current LTS.

Ghost currently supports 20.04. Moreover, Ghost only supports LTS versions, so 21.10 will never be an approved release. So, for best results use 20. Although not supported, I believe there are reports of 22 working.